- Fluid Reference Documentation
- Fluid 1.0.0

# BoxShadow QML Type

A implementation of CSS's box-shadow. More...

Import Statement: | import Fluid.Effects 1.0

- List of all members, including inherited members

## Properties

- blurRadius : int
- fullHeight : bool
- fullWidth : bool
- offsetX : int
- offsetY : int
- source : Item
- spreadRadius : int

## Detailed Description

A implementation of CSS's box-shadow, used by Elevation for a Material Design elevation shadow effect.

## Property Documentation

blurRadius : int

Blur distance.

fullHeight : bool

Whether the shadow height is calculated based on the parent height.

fullWidth : bool

Whether the shadow width is calculated based on the parent width.

offsetX : int

Position of the horizontal shadow.

offsetY : int

Position of the vertical shadow.

source : Item

The source item the shadow is being applied to, used for correctly calculating the corner radius.

spreadRadius : int

Size of shadow.